com.independentsoft.exchange

## Enum DistributionListMemberStatus

- java.lang.Object
- - java.lang.Enum<DistributionListMemberStatus>
  - - com.independentsoft.exchange.DistributionListMemberStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DistributionListMemberStatus>

      public enum DistributionListMemberStatus
      extends java.lang.Enum<DistributionListMemberStatus>

  Provides information about the status of a distribution list member on the server.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEMOTED` Referenced object is not available.
    `NONE` None.
    `NORMAL` Member information in a distribution list is in sync with the referenced object.
    `UNRECOGNIZED` Member information is invalid or unrecognized.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DistributionListMemberStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DistributionListMemberStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNRECOGNIZED

          public static final DistributionListMemberStatus UNRECOGNIZED

      Member information is invalid or unrecognized.

    - #### NORMAL

          public static final DistributionListMemberStatus NORMAL

      Member information in a distribution list is in sync with the referenced object.

    - #### DEMOTED

          public static final DistributionListMemberStatus DEMOTED

      Referenced object is not available.

    - #### NONE

          public static final DistributionListMemberStatus NONE

      None.

  - ### Method Detail

    - #### values

          public static DistributionListMemberStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistributionListMemberStatus c : DistributionListMemberStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistributionListMemberStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null